# eric6.Plugins.VcsPlugins.vcsMercurial.ShelveExtension.HgShelveDataDialog

Module implementing a dialog to enter the data for a shelve operation.

### Global Attributes

None

### Classes

HgShelveDataDialog | Class implementing a dialog to enter the data for a shelve operation.

### Functions

None

## HgShelveDataDialog

Class implementing a dialog to enter the data for a shelve operation.

### Derived from

QDialog, Ui_HgShelveDataDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgShelveDataDialog | Constructor
getData | Public method to get the user data.

### Static Methods

None

#### HgShelveDataDialog (Constructor)

HgShelveDataDialog(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### HgShelveDataDialog.getData

getData()

Public method to get the user data.

Returns:
  tuple containing the name (string), date (QDateTime), message (string) and a flag indicating to add/remove new/missing files (boolean)

Up